<apex:page controller="PTControllerOldPCSO" contentType="application/vnd.ms-excel#OldPCSOReport.xls" showHeader="false" readonly="true">    
    <apex:pageBlock >
        <apex:repeat value="{!pcsoFinalList}" var="pcsoList">
            <apex:pageBlockTable value="{!pcsoList.objectsWrapper}" var="pcso">
                <apex:column value="{!pcso.service.name}"/>
                <apex:column value="{!pcso.service.utility_rate_id__r.name}"/>
                <apex:column value="{!pcso.service.Contract_Start_Date__c}"/>
                <apex:column value="{!pcso.service.Site_Id__c}"/>
                <apex:column value="{!pcso.service.Minimum_Contract_Demand__c}"/>
                <apex:column value="{!pcso.pcso.name}"/>
                <apex:column value="{!pcso.pcso.PCSO_type__c}"/>
                <apex:column value="{!pcso.utilityBilling.name}"/>
                <apex:column value="{!pcso.utilityBilling.Average_Billing_Demand_last_12_months__c}"/>
                <apex:column value="{!pcso.utilityBilling.Average_Metered_Demand_last_12_months__c}"/>
                <apex:column value="{!pcso.utilityBilling.Average_Total_Volume_last_12_months__c}"/>
                <apex:column value="{!pcso.utilityBilling.Average_Wire_Cost_last_12_months__c }"/>
                <apex:column value="{!pcso.utilityBilling.Average_kVA_Demand_last_12_months__c}"/>
                <apex:column value="{!pcso.service.utility_company__r.name}"/>
            </apex:pageBlockTable>
        </apex:repeat>
    </apex:pageBlock>  
</apex:page>